org.eclnt.jsfserver.elements.componentnodes

## Class CLIENTHTTPSENDERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CLIENTHTTPSENDERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class CLIENTHTTPSENDERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLIENTHTTPSENDERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLIENTHTTPSENDERNode` | `bindActionListener(IActionListenerDelegation value)`
    `CLIENTHTTPSENDERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `CLIENTHTTPSENDERNode` | `bindComment(IDynamicContentBindingObject value)`
    `CLIENTHTTPSENDERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CLIENTHTTPSENDERNode` | `bindHttpheaderparams(IDynamicContentBindingObject value)`
    `CLIENTHTTPSENDERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `CLIENTHTTPSENDERNode` | `bindSenddelay(IDynamicContentBindingObject value)`
    `CLIENTHTTPSENDERNode` | `bindTrigger(IDynamicContentBindingObject value)`
    `CLIENTHTTPSENDERNode` | `bindUrl(IDynamicContentBindingObject value)`
    `CLIENTHTTPSENDERNode` | `bindUrlcallback(IDynamicContentBindingObject value)`
    `CLIENTHTTPSENDERNode` | `bindUrlpostdata(IDynamicContentBindingObject value)`
    `CLIENTHTTPSENDERNode` | `setActionListener(java.lang.String value)`
    `CLIENTHTTPSENDERNode` | `setAdapterbinding(java.lang.String value)`
    `CLIENTHTTPSENDERNode` | `setAttributemacro(java.lang.String value)`
    `CLIENTHTTPSENDERNode` | `setComment(java.lang.String value)`
    `CLIENTHTTPSENDERNode` | `setConfiginfo(java.lang.String value)`
    `CLIENTHTTPSENDERNode` | `setHttpheaderparams(java.lang.String value)`
    `CLIENTHTTPSENDERNode` | `setId(java.lang.String value)`
    `CLIENTHTTPSENDERNode` | `setReference(java.lang.String value)`
    `CLIENTHTTPSENDERNode` | `setRendered(boolean value)`
    `CLIENTHTTPSENDERNode` | `setRendered(java.lang.String value)`
    `CLIENTHTTPSENDERNode` | `setSenddelay(int value)`
    `CLIENTHTTPSENDERNode` | `setSenddelay(java.lang.String value)`
    `CLIENTHTTPSENDERNode` | `setTrigger(java.lang.String value)`
    `CLIENTHTTPSENDERNode` | `setUrl(java.lang.String value)`
    `CLIENTHTTPSENDERNode` | `setUrlcallback(boolean value)`
    `CLIENTHTTPSENDERNode` | `setUrlcallback(java.lang.String value)`
    `CLIENTHTTPSENDERNode` | `setUrlpostdata(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CLIENTHTTPSENDERNode

          public CLIENTHTTPSENDERNode()

  - ### Method Detail

    - #### setId

          public CLIENTHTTPSENDERNode setId(java.lang.String value)

    - #### setActionListener

          public CLIENTHTTPSENDERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public CLIENTHTTPSENDERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public CLIENTHTTPSENDERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public CLIENTHTTPSENDERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public CLIENTHTTPSENDERNode setAttributemacro(java.lang.String value)

    - #### setComment

          public CLIENTHTTPSENDERNode setComment(java.lang.String value)

    - #### bindComment

          public CLIENTHTTPSENDERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CLIENTHTTPSENDERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CLIENTHTTPSENDERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHttpheaderparams

          public CLIENTHTTPSENDERNode setHttpheaderparams(java.lang.String value)

    - #### bindHttpheaderparams

          public CLIENTHTTPSENDERNode bindHttpheaderparams(IDynamicContentBindingObject value)

    - #### setReference

          public CLIENTHTTPSENDERNode setReference(java.lang.String value)

    - #### setRendered

          public CLIENTHTTPSENDERNode setRendered(java.lang.String value)

    - #### bindRendered

          public CLIENTHTTPSENDERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public CLIENTHTTPSENDERNode setRendered(boolean value)

    - #### setSenddelay

          public CLIENTHTTPSENDERNode setSenddelay(java.lang.String value)

    - #### bindSenddelay

          public CLIENTHTTPSENDERNode bindSenddelay(IDynamicContentBindingObject value)

    - #### setSenddelay

          public CLIENTHTTPSENDERNode setSenddelay(int value)

    - #### setTrigger

          public CLIENTHTTPSENDERNode setTrigger(java.lang.String value)

    - #### bindTrigger

          public CLIENTHTTPSENDERNode bindTrigger(IDynamicContentBindingObject value)

    - #### setUrl

          public CLIENTHTTPSENDERNode setUrl(java.lang.String value)

    - #### bindUrl

          public CLIENTHTTPSENDERNode bindUrl(IDynamicContentBindingObject value)

    - #### setUrlcallback

          public CLIENTHTTPSENDERNode setUrlcallback(java.lang.String value)

    - #### bindUrlcallback

          public CLIENTHTTPSENDERNode bindUrlcallback(IDynamicContentBindingObject value)

    - #### setUrlcallback

          public CLIENTHTTPSENDERNode setUrlcallback(boolean value)

    - #### setUrlpostdata

          public CLIENTHTTPSENDERNode setUrlpostdata(java.lang.String value)

    - #### bindUrlpostdata

          public CLIENTHTTPSENDERNode bindUrlpostdata(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.